Bug 17041 - Fix missing properties in Swagger definition for Patron
Summary: Fix missing properties in Swagger definition for Patron
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Web services (show other bugs)
Version: master
Hardware: All All
: P5 - low normal (vote)
Assignee: Lari Taskula
QA Contact: Testopia
URL:
Keywords:
Depends on: 13799
Blocks: 17032
  Show dependency treegraph
 
Reported: 2016-08-03 15:44 UTC by Lari Taskula
Modified: 2017-12-07 22:16 UTC (History)
4 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Text to go in the release notes:
Version(s) released in:


Attachments
Bug 17041: Fix missing properties in patron.json (1.16 KB, patch)
2016-08-03 15:45 UTC, Lari Taskula
Details | Diff | Splinter Review
Bug 17041: Fix missing properties in patron.json (1.23 KB, patch)
2016-08-03 21:57 UTC, Benjamin Rokseth
Details | Diff | Splinter Review
Bug 17041: Fix missing properties in patron.json (1.30 KB, patch)
2016-08-05 10:25 UTC, Jonathan Druart
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Lari Taskula 2016-08-03 15:44:45 UTC
api/v1/definitions/patron.json is missing two properties checkprevcheckout and updated_on. Add these properties.
Comment 1 Lari Taskula 2016-08-03 15:45:54 UTC Comment hidden (obsolete)
Comment 2 Benjamin Rokseth 2016-08-03 21:57:15 UTC Comment hidden (obsolete)
Comment 3 Jonathan Druart 2016-08-05 10:25:28 UTC
Created attachment 54024 [details] [review]
Bug 17041: Fix missing properties in patron.json

Swagger definition for patron was missing two properties.

Signed-off-by: Benjamin Rokseth <benjamin.rokseth@kul.oslo.kommune.no>

Signed-off-by: Jonathan Druart <jonathan.druart@bugs.koha-community.org>
Comment 4 Brendan Gallagher 2016-08-06 18:12:03 UTC
pushed to master - Should be in the November 2016 - Thanks!
Comment 5 Frédéric Demians 2016-08-07 07:34:27 UTC
checkprevcheckout appears in master, and so isn't available in 16.05. If you want this patch in 16.05, please provide a new patch adding just only updated_on property.